%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define _unpackaged_files_terminate_build 0
%define toolkit_options --enable-default-toolkit=gtk2 --disable-freetype2 --enable-xft
%define builddir %{_builddir}/mozilla

%define branchpoint 1.1
%define branchver   3


Name:        seamonkey
Summary:     Web browser and mail reader
Version:     1.0.9
Release:     9.el4.0.1
License:     MPL/NPL/GPL/LGPL
#Source0:     seamonkey-%{version}.source.tar.bz2
Source0:     mozilla-180-20080131.tar.bz2
Source1:     mozilla.sh.in
Source2:     mozilla-icon.png
Source4:     mozilla.desktop
Source7:     mozilla-make-package.pl
Source9:     mozicon16.xpm
Source10:    mozicon50.xpm
Source11:    mozilla-rebuild-databases.pl.in
Source12:    mozilla-mail.desktop
Source13:    mozilla-mail-icon.png
Source17:    mozilla-psm-exclude-list
Source18:    mozilla-xpcom-exclude-list
Source19:    mozilla-oracle-default-bookmarks.html
Source20:    mozilla-oracle-default-prefs.js

Patch5:      seamonkey-disable-visibility.patch
Patch6:      seamonkey-config.patch
Patch7:      seamonkey-1.0.9-s390-no-var-tracking.patch

Patch60:        mozilla-358594.patch
#Patch61:        mozilla-379245.patch
#Patch62:        mozilla-382532.patch
Patch63:        mozilla-178993.patch
Patch65:        mozilla-384925.patch
Patch66:        mozilla-381300.patch

Patch71:        mozilla-309322_180_att283610.patch
Patch72:        mozilla-267833.patch
Patch73:        mozilla-345305_venkmanonly.patch
Patch74:        mozilla-361745.patch
Patch75:        mozilla-362901.patch
Patch76:        mozilla-372309.patch
Patch77:        mozilla-378787.patch
Patch78:        mozilla-384105.patch
Patch79:        mozilla-386914.patch
Patch80:        mozilla-387033.patch
Patch81:        mozilla-387881.patch
Patch82:        mozilla-388121.patch
Patch83:        mozilla-388784.patch
Patch84:        mozilla-390078.patch
Patch85:        mozilla-393537.patch
Patch86:        mozilla-395942-180.patch
Patch87:        mozilla-325761.patch
Patch88:        mozilla-392149-180.patch

Patch89:        mozilla-373911.patch
Patch90:        mozilla-391028.patch
Patch91:        mozilla-393326.patch
Patch92:        mozilla-403331.patch
Patch93:        mozilla-369814-1.patch
Patch94:        mozilla-369814-2.patch
Patch95:        mozilla-402649.patch

Patch100:       mozilla-1.8.1.12-backports.patch
Patch101:       seamonkey-413250.patch

Patch10000:     mozilla-seamonkey-app-name.patch
Patch10007:     mozilla-home-page.patch
Patch10013:     seamonkey-nspr-packages.patch
Patch10023:     mozilla-1.6-gnome-uriloader.patch

Patch10028:     seamonkey-1.0.8-ppc64.patch
Patch10029:     mozilla-1.4-prdtoa.patch

Patch10101:    mozilla-1.7.3-gnome-vfs-default-app.patch
Patch10103:    mozilla-1.7.7-manpage.patch

%define seamonkeyver seamonkey-%{version}
%define mozdir %{_libdir}/mozilla-%{seamonkeyver}



Buildroot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Group:       Applications/Internet
Provides:    webclient
BuildRequires:   libpng-devel, libjpeg-devel, zlib-devel, zip, perl, libIDL-devel, glib2-devel, gtk2-devel, autoconf213
BuildRequires:   krb5-devel
Prereq:      fileutils perl
Prereq:      /usr/bin/killall
Requires:    seamonkey-nspr = %{version}-%{release}
Requires:    seamonkey-nss = %{version}-%{release}
Obsoletes:   mozilla-psm
ExclusiveArch: i386 x86_64 ia64 ppc s390 s390x
Provides: mozilla = 37:1.8
Obsoletes: mozilla
# Ugly hack, but it beats fudging around with the debuginfo packages themselves
Obsoletes: mozilla-debuginfo

%if %{desktop_file}
PreReq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
Mozilla Seamonkey is an open-source web browser, designed for standards
compliance, performance and portability.

%package nspr
Summary: Netscape Portable Runtime
Group: Applications/Internet
Provides: mozilla-nspr = 37:1.8
Obsoletes: mozilla-nspr

%description nspr
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%package nspr-devel
Summary: Development Libraries for the Netscape Portable Runtime
Group: Development/Libraries
Requires: seamonkey-nspr = %{version}-%{release}
Provides: mozilla-nspr-devel = 37:1.8
Obsoletes: mozilla-nspr-devel

%description nspr-devel
Header files for doing development with the Netscape Portable Runtime.

%package nss
Summary: Network Security Services
Group: Applications/Internet
Requires: seamonkey-nspr = %{version}-%{release}
Provides: mozilla-nss = 37:1.8
Obsoletes: mozilla-nss

%description nss
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled server
applications. Applications built with NSS can support SSL v2 and v3,
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
certificates, and other security standards.

%package nss-devel
Summary: Development Libraries for Network Security Services
Group: Applications/Internet
Requires: seamonkey-nspr-devel = %{version}-%{release}
Requires: seamonkey-nss = %{version}-%{release}
Provides: mozilla-nss-devel = 37:1.8
Obsoletes: mozilla-nss-devel

%description nss-devel
Header files to doing development with Network Security Services.

%package devel
Summary: Development files for Mozilla
Group: Development/Libraries
Requires: seamonkey = %{version}-%{release}
Requires: seamonkey-nspr-devel = %{version}-%{release}
Requires: seamonkey-nss-devel = %{version}-%{release}
Provides: mozilla-devel = 37:1.8
Obsoletes: mozilla-devel

%description devel
Development header files for mozilla.

%package mail
Summary: Mozilla-based mail system
Group: Applications/Internet
Prereq:      fileutils seamonkey = %{version}-%{release}
Provides: mozilla-mail = 37:1.8
Obsoletes: mozilla-mail

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package chat
Summary: IRC client integrated with Mozilla
Group: Applications/Internet
Prereq: fileutils seamonkey = %{version}-%{release}
Provides: mozilla-chat = 37:1.8
Obsoletes: mozilla-chat

%description chat
IRC client that is integrated with the Mozilla web browser.

%package js-debugger
Summary: JavaScript debugger for use with Mozilla
Group: Applications/Internet
Prereq: fileutils seamonkey = %{version}-%{release}
Provides: mozilla-js-debugger = 37:1.8
Obsoletes: mozilla-js-debugger

%description js-debugger
JavaScript debugger for use with Mozilla.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in Mozilla.
Group: Applications/Internet
Prereq: fileutils seamonkey = %{version}-%{release}
Provides: mozilla-dom-inspector = 37:1.8
Obsoletes: mozilla-dom-inspector

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
Mozilla.  This is of great use to people who are doing Mozilla chrome
development or web page development.


%prep

%setup -q -n mozilla

%patch5 -p1
%patch6 -p1
%ifarch s390x
%patch7 -p1 -b .s390-no-var-tracking
%endif

%patch60 -p1
#%patch61 -p1
#%patch62 -p1
%patch63 -p1
%patch65 -p1
%patch66 -p1

%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1

%patch89 -p0
%patch90 -p1
%patch91 -p0
%patch92 -p0
%patch93 -p0
%patch94 -p1 -b .mozilla-369814-2
%patch95 -p0

%patch100 -p0
%patch101 -p0

%patch10000 -p0

%patch10007 -p1


%patch10013 -p1

# make sure that the gnome uri handler isn't run during registration
%patch10023 -p1 -b .gnome

# add nss build support for ppc64
%patch10028 -p1

# work around problems with prdtoa.c
%patch10029 -p1

%patch10101 -p1
%patch10103 -p0

# set up our default bookmarks
/bin/cp %{SOURCE19} $RPM_BUILD_DIR/mozilla/profile/defaults/bookmarks.html

%build
# Rebuild configure to ensure that any patches to configure.in get applied
/bin/rm -f ./configure
/usr/bin/autoconf-2.13

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

# build mozilla - XCFLAGS is for NSS which can't use CFLAGS for
# various reasons
%ifarch ia64
OPTFLAGS=-O0
%else
OPTFLAGS=-O2
%endif

XCFLAGS=-g \
CFLAGS=-g \
%ifarch ia64 ppc
CXXFLAGS="-fno-inline -g" \
%else
CXXFLAGS=-g \
%endif
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
	./configure --prefix=%{_prefix} --libdir=%{_libdir} \
	--enable-application=suite \
	--enable-optimize=$OPTFLAGS \
	--disable-debug \
	--with-default-mozilla-five-home=%{mozdir} \
	--disable-strip-libs \
	--disable-tests \
	--enable-xinerama \
	--enable-nspr-autoconf \
	--enable-extensions=default,irc \
	--without-mng \
	--enable-crypto \
	--disable-xprint \
	--without-system-nspr \
	--with-system-zlib \
	--with-system-png \
	--with-system-jpeg \
	%{toolkit_options} \
	--mandir=%{_mandir}


BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make export
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -j$CPUS libs

%install
/bin/rm -rf $RPM_BUILD_ROOT

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
	DESTDIR=$RPM_BUILD_ROOT \
	make install

# Move stuff over
%{__mv} ${RPM_BUILD_ROOT}%{mozdir}/run-mozilla.sh ${RPM_BUILD_ROOT}%{_libdir}/%{seamonkeyver}
/bin/rm -rf ${RPM_BUILD_ROOT}%{mozdir}
%{__mv} ${RPM_BUILD_ROOT}%{_libdir}/%{seamonkeyver} ${RPM_BUILD_ROOT}%{mozdir}
%{__mv} ${RPM_BUILD_ROOT}%{mozdir}/seamonkey-bin ${RPM_BUILD_ROOT}%{mozdir}/mozilla-bin
%{__mv} ${RPM_BUILD_ROOT}%{_includedir}/%{seamonkeyver} \
        ${RPM_BUILD_ROOT}%{_includedir}/mozilla-%{seamonkeyver}
%{__mv} ${RPM_BUILD_ROOT}%{_mandir}/man1/seamonkey.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/mozilla.1
%{__mv} ${RPM_BUILD_ROOT}%{_bindir}/seamonkey ${RPM_BUILD_ROOT}%{_bindir}/mozilla
%{__mv} ${RPM_BUILD_ROOT}%{_bindir}/seamonkey-config ${RPM_BUILD_ROOT}%{_bindir}/mozilla-config
%{__mv} ${RPM_BUILD_ROOT}%{_datadir}/idl/%{seamonkeyver} \
        ${RPM_BUILD_ROOT}%{_datadir}/idl/mozilla-%{seamonkeyver}


# create a list of all of the different package and the files that
# will hold them

/bin/rm -f %{builddir}/mozilla.list
/bin/rm -f %{builddir}/mozilla-mail.list
/bin/rm -f %{builddir}/mozilla-chat.list
/bin/rm -f %{builddir}/mozilla-js-debugger.list
/bin/rm -f %{builddir}/mozilla-dom-inspector.list

echo %defattr\(-,root,root\) > %{builddir}/mozilla.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-mail.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-chat.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-js-debugger.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-dom-inspector.list

# NSS and NSPR are both installed into /usr/lib instead of
# /usr/lib/mozilla-VERSION

pushd .
cd $RPM_BUILD_ROOT%{mozdir}
# move nspr
mv -v \
  libnspr4.so libplc4.so libplds4.so \
  $RPM_BUILD_ROOT%{_libdir}/

# move psm
mv -v \
  libnss3.so libsmime3.so libsoftokn3.so libsoftokn3.chk libssl3.so libfreebl3.so libfreebl3.chk \
  $RPM_BUILD_ROOT%{_libdir}/

# libnssckbi.so must be in both places
cp -v libnssckbi.so $RPM_BUILD_ROOT%{_libdir}/
popd

# we don't want to ship mozilla's default sidebar components
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/bugzilla.gif
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/bugzilla.src
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/dmoz.gif
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/dmoz.src
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/lxrmozilla.gif
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/lxrmozilla.src
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/mozilla.gif
rm -f $RPM_BUILD_ROOT/%{mozdir}/searchplugins/mozilla.src

/bin/rm -f %{builddir}/mozilla-nspr.list
%{SOURCE7} --package nspr --output-file %{builddir}/mozilla-nspr.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir} \
    --install-root %{_libdir}

/bin/rm -f %{builddir}/mozilla-nss.list
%{SOURCE7} --package nss --output-file %{builddir}/mozilla-nss.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir} \
    --install-root %{_libdir}

# manually add the libnssckbi.so file
echo %{mozdir}/libnssckbi.so >> %{builddir}/mozilla-nss.list

# build all of the default browser components
# base mozilla package (mozilla.list)
%{SOURCE7} --package langenus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

%{SOURCE7} --package regus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

%{SOURCE7} --package deflenus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

%{SOURCE7} --package xpcom --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir} \
    --exclude-file=%{SOURCE18}

%{SOURCE7} --package browser --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

%{SOURCE7} --package spellcheck --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

%{SOURCE7} --package psm --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir} \
    --exclude-file=%{SOURCE17}

# mozilla mail (mozilla-mail.list)
%{SOURCE7} --package mail --output-file %{builddir}/mozilla-mail.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

# mozilla chat (mozilla-chat.list)
%{SOURCE7} --package chatzilla --output-file %{builddir}/mozilla-chat.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

# mozilla JS debugger (mozilla-js-debugger.list)
%{SOURCE7} --package venkman --output-file %{builddir}/mozilla-js-debugger.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

# mozilla DOM inspector (mozilla-dom-inspector.list)
%{SOURCE7} --package inspector --output-file %{builddir}/mozilla-dom-inspector.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{mozdir} \
    --install-root %{mozdir}

# build our initial component and chrome registry
pushd `pwd`
  cd $RPM_BUILD_ROOT/%{mozdir}

  # save a copy of the default installed-chrome.txt file before we
  # muck with it
  mkdir chrome/lang
  cp chrome/installed-chrome.txt chrome/lang/

  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt

  # save the defaults in a file that will be used later to rebuild the
  # installed-chrome.txt file
  echo "skin,install,select,classic/1.0" >> chrome/lang/default.txt
  echo "locale,install,select,en-US" >> chrome/lang/default.txt

  # set up the chrome rdf files
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` MOZ_DISABLE_GNOME=1 ./regchrome

  # fix permissions of the chrome directories
  /usr/bin/find . -type d -perm 0700 -exec chmod 755 {} \; || :

  # We don't want JS files to be executable
  /usr/bin/find . -type f -name \*.js -exec chmod 644 {} \; || :
popd


# cp -L (dereference all symlinks) is required for fileutils >= 2.0.27
# (POSIX compliance); prior versions don't understand -L, so fall back...

# copy the nss files to the right place
mkdir $RPM_BUILD_ROOT/%{_prefix}/include/mozilla-%{seamonkeyver}/nss/

/usr/bin/find security/nss/lib/ -name '*.h' -type f -exec /bin/cp {} \
 $RPM_BUILD_ROOT/%{_prefix}/include/mozilla-%{seamonkeyver}/nss/ \;

# build the list of include files
rm -f %{builddir}/mozilla-devel.list
rm -f %{builddir}/mozilla-nss-devel.list
rm -f %{builddir}/mozilla-nspr-devel.list

find $RPM_BUILD_ROOT/%{_prefix}/include/mozilla-%{seamonkeyver}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep -v "/%{_prefix}/include/mozilla-%{seamonkeyver}/nss" | \
  grep -v "/%{_prefix}/include/mozilla-%{seamonkeyver}/nspr" > \
  %{builddir}/mozilla-devel.list

find $RPM_BUILD_ROOT/%{_prefix}/include/mozilla-%{seamonkeyver}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep "/%{_prefix}/include/mozilla-%{seamonkeyver}/nspr" > \
  %{builddir}/mozilla-nspr-devel.list

find $RPM_BUILD_ROOT/%{_prefix}/include/mozilla-%{seamonkeyver}/ -type f| \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep "/%{_prefix}/include/mozilla-%{seamonkeyver}/nss" > \
  %{builddir}/mozilla-nss-devel.list

# copy our idl into place
#mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/idl/mozilla-%{seamonkeyver}
#(cd dist/idl ; tar chf - * | \
#  (cd $RPM_BUILD_ROOT/%{_prefix}/share/idl/mozilla-%{seamonkeyver} ; \
#   tar xvf -))

# copy our devel tools
install -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  $RPM_BUILD_ROOT/%{mozdir}

# set up our desktop files
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/pixmaps/

# install desktop files in correct directory
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
desktop-file-install --vendor mozilla \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora \
    --add-category Application \
    --add-category Network \
    %{SOURCE4}
desktop-file-install --vendor mozilla \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora \
    --add-category Application \
    --add-category Network \
    %{SOURCE12}
%else
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
install -c -m 644  %{SOURCE4} %{SOURCE12} \
   $RPM_BUILD_ROOT/etc/X11/applnk/Internet
%endif

install -c -m 644 %{SOURCE2} %{SOURCE13} \
  $RPM_BUILD_ROOT/%{_prefix}/share/pixmaps/

if [ ! -d $RPM_BUILD_ROOT/%{mozdir}/icons/ ]; then
  mkdir -m 755 $RPM_BUILD_ROOT/%{mozdir}/icons
fi

if [ ! -d $RPM_BUILD_ROOT/%{mozdir}/plugins/ ]; then
  mkdir -m 755 $RPM_BUILD_ROOT/%{mozdir}/plugins
fi

# our icons are better!
install -c -m 644 %{SOURCE9} $RPM_BUILD_ROOT/%{mozdir}/icons/
install -c -m 644 %{SOURCE10} $RPM_BUILD_ROOT/%{mozdir}/icons/

# install our mozilla.sh file
cat %{SOURCE1} | sed -e 's/MOZILLA_VERSION/%{seamonkeyver}/g' \
                     -e 's,LIBDIR,%{_libdir},g' > \
  $RPM_BUILD_ROOT/usr/bin/mozilla

chmod 755 $RPM_BUILD_ROOT/usr/bin/mozilla

# set up our default preferences
%{__cat} %{SOURCE20} | %{__sed} -e 's,MOZILLA_RPM_VR,%{version}-%{release},g' > \
        $RPM_BUILD_ROOT/rh-default-prefs
%{__cp} $RPM_BUILD_ROOT/rh-default-prefs $RPM_BUILD_ROOT/%{mozdir}/greprefs/all-redhat.js
%{__cp} $RPM_BUILD_ROOT/rh-default-prefs $RPM_BUILD_ROOT/%{mozdir}/defaults/pref/all-redhat.js
%{__rm} $RPM_BUILD_ROOT/rh-default-prefs

# install our rebuild file
cat %{SOURCE11} | sed -e 's/MOZILLA_VERSION/%{version}/g' \
		      -e 's,LIBDIR,%{_libdir},g' > \
  $RPM_BUILD_ROOT/%{mozdir}/mozilla-rebuild-databases.pl

chmod 755 \
  $RPM_BUILD_ROOT/%{mozdir}/mozilla-rebuild-databases.pl

# we own /usr/lib/mozilla/plugins which is the version-independent
# place that plugins can be installed
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins

# ghost files
touch $RPM_BUILD_ROOT%{mozdir}/chrome/chrome.rdf
for overlay in {"browser","communicator","cookie","editor","global","inspector","messenger","navigator"}; do
   %{__mkdir_p} $RPM_BUILD_ROOT%{mozdir}/chrome/overlayinfo/$overlay/content
  touch $RPM_BUILD_ROOT%{mozdir}/chrome/overlayinfo/$overlay/content/overlays.rdf
done
for overlay in {"browser","global"}; do
   %{__mkdir_p} $RPM_BUILD_ROOT%{mozdir}/chrome/overlayinfo/$overlay/skin
  touch $RPM_BUILD_ROOT%{mozdir}/chrome/overlayinfo/$overlay/skin/stylesheets.rdf
done
touch $RPM_BUILD_ROOT%{mozdir}/chrome/chrome.rdf
%{__mkdir_p} $RPM_BUILD_ROOT%{mozdir}/components/myspell

# install the gre.conf file
%ifarch x86_64 ia64 ppc64 s390x
%define gre_conf_file gre64.conf
%else
%define gre_conf_file gre.conf
%endif

mkdir -p $RPM_BUILD_ROOT/etc/gre.d/
echo [%{version}] > \
  $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file}
echo GRE_PATH=%{_libdir}/mozilla-%{seamonkeyver} >> \
  $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file}

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
# was this an upgrade?
if [ "$1" == "2" ]; then
  if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
      %{mozdir}/mozilla-rebuild-databases.pl
  fi
fi

%triggerpostun -- mozilla < 1.0
# Older packages will leave mozilla unusable after the postun script
# script is run for the old package.  Rebuild the databases after that
# has been run.
if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%preun
# is a final removal?
if [ "$1" == "0" ]; then
  /bin/rm -rf %{mozdir}/chrome/overlayinfo
  /bin/rm -f %{mozdir}/chrome/*.rdf
fi

%post nspr
/sbin/ldconfig >/dev/null 2>/dev/null

%postun nspr
/sbin/ldconfig >/dev/null 2>/dev/null

%post nss
/sbin/ldconfig >/dev/null 2>/dev/null

%postun nss
/sbin/ldconfig >/dev/null 2>/dev/null

%post mail
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%postun mail

# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%post chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%postun chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%post js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%postun js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%post dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%postun dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{mozdir}/mozilla-rebuild-databases.pl ]; then
    %{mozdir}/mozilla-rebuild-databases.pl
fi

%files -f mozilla.list
%defattr(-,root,root)
%{_prefix}/bin/mozilla
%{mozdir}/mozilla-bin
%{mozdir}/mozilla-rebuild-databases.pl
/etc/gre.d/%{gre_conf_file}
%{_prefix}/share/pixmaps/mozilla-icon.png
%{_prefix}/share/pixmaps/mozilla-mail-icon.png

#%verify (not md5 mtime size) %{mozdir}/components/compreg.dat
#%verify (not md5 mtime size) %{mozdir}/components/xpti.dat

%{_mandir}/man1/mozilla.1.gz

%dir %{_libdir}/mozilla/plugins

%dir %{mozdir}
%dir %{mozdir}/init.d
%dir %{mozdir}/greprefs
%dir %{mozdir}/defaults/pref
%dir %{mozdir}/defaults/profile
%dir %{mozdir}/defaults/profile/US
%dir %{mozdir}/defaults/wallet
%dir %{mozdir}/defaults/autoconfig
%dir %{mozdir}/defaults/messenger/US
%dir %{mozdir}/defaults/messenger
%dir %{mozdir}/defaults

%dir %{mozdir}/chrome/icons/default
%dir %{mozdir}/chrome/icons
%dir %{mozdir}/chrome

%dir %{mozdir}/res/dtd
%dir %{mozdir}/res/fonts
%dir %{mozdir}/res

%dir %{mozdir}/components/myspell
%dir %{mozdir}/components
%dir %{mozdir}/icons
%dir %{mozdir}/searchplugins

%dir %{mozdir}/plugins
%dir %{mozdir}/res/html
%dir %{mozdir}/res/samples
%dir %{mozdir}/res/entityTables

#%verify (not md5 mtime size) %{mozdir}/chrome/installed-chrome.txt

%{mozdir}/greprefs/all-redhat.js
%{mozdir}/defaults/pref/all-redhat.js

%ghost %{mozdir}/chrome/chrome.rdf
%ghost %{mozdir}/chrome/overlayinfo/browser/skin/stylesheets.rdf
%ghost %{mozdir}/chrome/overlayinfo/global/skin/stylesheets.rdf

%ghost %{mozdir}/chrome/overlayinfo/browser/content/overlays.rdf
%ghost %{mozdir}/chrome/overlayinfo/communicator/content/overlays.rdf
%ghost %{mozdir}/chrome/overlayinfo/global/content/overlays.rdf
%ghost %{mozdir}/chrome/overlayinfo/editor/content/overlays.rdf
%ghost %{mozdir}/chrome/overlayinfo/navigator/content/overlays.rdf
%ghost %{mozdir}/chrome/overlayinfo/cookie/content/overlays.rdf

%dir %{mozdir}/chrome/overlayinfo/browser/content
%dir %{mozdir}/chrome/overlayinfo/browser/skin
%dir %{mozdir}/chrome/overlayinfo/browser
%dir %{mozdir}/chrome/overlayinfo/global/content
%dir %{mozdir}/chrome/overlayinfo/global/skin
%dir %{mozdir}/chrome/overlayinfo/global
%dir %{mozdir}/chrome/overlayinfo/communicator/content
%dir %{mozdir}/chrome/overlayinfo/communicator
%dir %{mozdir}/chrome/overlayinfo/editor/content
%dir %{mozdir}/chrome/overlayinfo/editor
%dir %{mozdir}/chrome/overlayinfo/navigator/content
%dir %{mozdir}/chrome/overlayinfo/navigator
%dir %{mozdir}/chrome/overlayinfo/cookie/content
%dir %{mozdir}/chrome/overlayinfo/cookie

%dir %{mozdir}/chrome/overlayinfo

%if %{desktop_file}
%{_datadir}/applications/mozilla.desktop
%else
/etc/X11/applnk/Internet/mozilla.desktop
%endif

%files nspr -f mozilla-nspr.list
%defattr(-,root,root)

%files nspr-devel -f mozilla-nspr-devel.list
%defattr(-,root,root)
%{_libdir}/pkgconfig/mozilla-nspr.pc
%{_libdir}/pkgconfig/seamonkey-nspr.pc
%{_prefix}/bin/mozilla-config

%files nss -f mozilla-nss.list
%defattr(-,root,root)

%files nss-devel -f mozilla-nss-devel.list
%defattr(-,root,root)
%{_libdir}/pkgconfig/mozilla-nss.pc
%{_libdir}/pkgconfig/seamonkey-nss.pc

%files mail -f mozilla-mail.list
%defattr(-,root,root)
%dir %{mozdir}/chrome/icons/default
%dir %{mozdir}/chrome/icons
%dir %{mozdir}/chrome
%dir %{mozdir}/components
%dir %{mozdir}
%if %{desktop_file}
%{_datadir}/applications/mozilla-mail.desktop
%else
/etc/X11/applnk/Internet/mozilla-mail.desktop
/etc/X11/applnk/Internet/mozilla-compose.desktop
%endif

%dir %{mozdir}/chrome/overlayinfo/messenger/content
%dir %{mozdir}/chrome/overlayinfo/messenger

%ghost %{mozdir}/chrome/overlayinfo/messenger/content/overlays.rdf

%files chat -f mozilla-chat.list
%defattr(-,root,root)

%files js-debugger -f mozilla-js-debugger.list
%defattr(-,root,root)

%files dom-inspector -f mozilla-dom-inspector.list
%defattr(-,root,root)
%ghost %{mozdir}/chrome/overlayinfo/inspector/content/overlays.rdf
%dir %{mozdir}/chrome/overlayinfo/inspector/content
%dir %{mozdir}/chrome/overlayinfo/inspector

%files devel -f mozilla-devel.list
%defattr(-,root,root)
%{_prefix}/share/idl/mozilla-%{seamonkeyver}/*
%{_libdir}/pkgconfig/mozilla-js.pc
%{_libdir}/pkgconfig/mozilla-plugin.pc
%{_libdir}/pkgconfig/mozilla-xpcom.pc
%{_libdir}/pkgconfig/mozilla-gtkmozembed.pc
%{_libdir}/pkgconfig/seamonkey-js.pc
%{_libdir}/pkgconfig/seamonkey-plugin.pc
%{_libdir}/pkgconfig/seamonkey-xpcom.pc
%{_libdir}/pkgconfig/seamonkey-gtkmozembed.pc
%{mozdir}/xpcshell
%{mozdir}/xpidl
%{mozdir}/xpt_dump
%{mozdir}/xpt_link

%changelog
* Fri Feb 08 2008 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.0.9-9.el4.0.1
- Add mozilla-oracle-default-bookmarks.html, mozilla-oracle-default-prefs.js,
  and mozilla-home-page.patch with Oracle default URLs

* Thu Jan 31 2008 Martin Stransky <stransky@redhat.com> - 1.0.9-9.el4
- Update to latest snapshot of Mozilla 1.8.0 branch
- Added a patch with backported fixes from 1.8.1.12

* Thu Nov 22 2007 Christopher Aillon <caillon@redhat.com> - 1.0.9-7.el4
- Add patches for mozilla bugs:
  369814,373911,391028,393326,402649,403331

* Thu Oct 18 2007 Martin Stransky <stransky@redhat.com> - 1.0.9-6.el4
- Update to latest snapshot of Mozilla 1.8.0 branch

* Wed Oct 17 2007 Martin Stransky <stransky@redhat.com> - 1.0.9-5.el4
- added pathes for Mozilla bugs 267833,309322,345305,361745,
  362901,372309,378787,381300,384105,386914,387033,387881,388121,388784
  390078,393537,395942,325761,392149

* Tue Jul 17 2007 Kai Engert <kengert@redhat.com> 1.0.9-4.el4
- Remove broken patch for Mozilla bug 199088

* Tue Jul 17 2007 Kai Engert <kengert@redhat.com> 1.0.9-3.el4
- Update to latest snapshot of Mozilla 1.8.0 branch
- Include patches for Mozilla bugs 379245, 199088, 384925, 178993,
  381300 (+382686), 358594 (+380933), 382532 (+382503)

* Tue May 29 2007 Christopher Aillon <caillon@redhat.com> 1.0.9-2.el4
- Final bits, plus an s390x build fix

* Thu May 29 2007 Martin Stransky <stransky@redhat.com> 1.0.9-0.1.el4
- Update to 1.0.9 (RC)

* Mon Feb 26 2007 Martin Stransky <stransky@redhat.com> 1.0.8-0.2.el4
- fixed #229987 - nss regression

* Thu Feb 15 2007 Martin Stransky <stransky@redhat.com> 1.0.8-0.1.el4
- Update to 1.0.8 (RC)

* Thu Jan 25 2007 Martin Stransky <stransky@redhat.com> 1.0.7-0.2.el4
- added fix for #204589: mozilla-config points to the wrong places

* Fri Dec 15 2006 Christopher Aillon <caillon@redhat.com> 1.0.7-0.1.el4
- Update to 1.0.7 (RC)

* Sun Nov  5 2006 Christopher Aillon <caillon@redhat.com> 1.0.6-0.1.el4
- Update to 1.0.6 (RC)

* Mon Sep 11 2006 Christopher Aillon <caillon@redhat.com> 1.0.5-0.1.el4
- Update to 1.0.5

* Wed Jul 26 2006 Christopher Aillon <caillon@redhat.com> 1.0.3-0.el4.1
- Update to 1.0.3

* Wed Jun 28 2006 Warren Togami <wtogami@redhat.com> 1.0.2-0.1.0.EL4
- Prevent obsolete script from replacing mozilla-xremote-client (#192639)
- 1.0.2 security fixes
- remove unused patches

* Mon May 22 2006 Christopher Aillon <caillon@redhat.com> 1.0.1-0.1.3.EL4
- Fix the -devel packages and pkg-config files

* Fri May 19 2006 Christopher Aillon <caillon@redhat.com> 1.0.1-0.1.2.EL4
- Import some fixes from the RHEL3 package

* Fri May 12 2006 Christopher Aillon <caillon@redhat.com> 1.0.1-0.1.1.EL4
- Initial Seamonkey RPM
